Subject: Re: [PATCH net-next V3 00/10] devlink: add per-port resource support

From: Jakub Kicinski <[email-masked]>
Date: Thu, 12 Mar 2026 07:36:41 -0700

On Thu, 12 Mar 2026 15:29:53 +0100 Jiri Pirko wrote:
> >> I don't see the benefit of exposing the scope to the user to be honest.
> >> I mean, dump would show all, dump with "dev" handle would be used as a
> >> selector to dump only things related to "dev". What is the use case of
> >> this "scope" granularity?  
> >
> >If we follow the logic that dump should show the user relevant
> >resources, no matter which sub-object they are attached to -
> >having a dev specified should only filter the objects to match
> >the dev, including resources which are on ports of that dev.
> >
> >IDK if there's a strong use case for allowing the user to set
> >scope on CLI but also - I don't see why not?  
> 
> At least some small sense of consistency with other dumps? Health
> reporter and region does not have scope and output mixture of dev-based
> and port-based objects. Why to confuse user?

That's a judgment call - either we confuse users but two commands
behaving differently, or we confuse users with devlink $thing not
dumping all instances of the $thing.

Especially that drivers often retroactively move $things from device
scope to port scope :(